# Generated by Django 4.2.11 on 2024-03-20 18:43

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import pgcrypto.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Animal',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', pgcrypto.fields.TextPGPSymmetricKeyField(max_length=100)),
                ('coloracao', models.CharField(max_length=100)),
                ('raca', models.CharField(max_length=100)),
                ('especie', models.CharField(max_length=100)),
                ('data_nasc', models.DateField()),
                ('imagem', models.ImageField(default='default.jpg', upload_to='Imagem/Animal/Foto/')),
                ('dono', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
